2012年5月11日

[PHP-users 35713] Re:Apache2.4 php-5.3.10 php-5.3.13 pearエラーの対処方法を教えてください

後藤と申します。

最新版でも Strict とか Deprecated とかが出るようなので、
解決・・・と言っていいか判りませんが、下記のようにエラーを抑止すれば良いと思います。

$error_reporting = error_reporting(E_ALL & ~E_STRICT & ~E_DEPRECATED );
require_once("PEAR/Info.php");
$info = new PEAR_Info();

$info->show();
error_reporting($error_reporting);

# もしくは "@" でエラーを抑止ですが個人的には "@" での抑止は好きではありません。

以上です。
_______________________________________________
PHP-users mailing list PHP-users@xxxxx
http://ml.php.gr.jp/mailman/listinfo/php-users
PHP初心者のためのページ - 質問する前にはこちらをお読みください
http://oldwww.php.gr.jp/php/novice.php3


投稿者 xml-rpc : 2012年5月11日 13:45
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/110355
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。